package cn.com.ctop.reimburse.mondule.mapper;

import cn.com.ctop.reimburse.mondule.entity.ReimburseApplyProcess;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ReimburseApplyProcessMapper extends BaseMapper<ReimburseApplyProcess> {

    List<JSONObject> queryProcess(@Param("applyId") Long applyId);

    List<ReimburseApplyProcess> getListByApplyId(@Param("applyId") Long applyId);

    void deleteByApplyId(@Param("applyId") Long applyId);
}
